com.microfocus.awm.core

## Class FileSavableResourceMap

- java.lang.Object
- - com.microfocus.awm.core.FileSavableResourceMap

-     public class FileSavableResourceMap
      extends java.lang.Object

  Maps `IFile`s with `ISavableResource`s in order to save e.g. remote resources on workspace changes.
  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISavableResource` | `get(org.eclipse.core.resources.IFile pFile)` Returns the `ISavableResource` for a file, if it was stored before by `put(IFile, ISavableResource)` or `null`.
    `static FileSavableResourceMap` | `getInstance()` Gets the map's singleton instance.
    `java.util.Map<org.eclipse.core.resources.IFile,ISavableResource>` | `getMemberMap()` Get the the map of saved members with the corresponding `ISavableResource`
    `void` | `put(org.eclipse.core.resources.IFile pFile, ISavableResource pRes)` Puts a file and its corresponding `ISavableResource` into the map.
    `void` | `remove(org.eclipse.core.resources.IFile pFile)` Removes a file from the internal map.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static FileSavableResourceMap getInstance()

      Gets the map's singleton instance.
      Returns:
        the instance

    - #### put

          public void put(org.eclipse.core.resources.IFile pFile,
                          ISavableResource pRes)

      Puts a file and its corresponding `ISavableResource` into the map.
      Parameters:
        `pFile` - the file
        `pRes` - the `ISavableResource`

    - #### get

          public ISavableResource get(org.eclipse.core.resources.IFile pFile)

      Returns the `ISavableResource` for a file, if it was stored before by `put(IFile, ISavableResource)` or `null`.
      Parameters:
        `pFile` - the file to look for
      Returns:
        an ISavableResource or `null`

    - #### remove

          public void remove(org.eclipse.core.resources.IFile pFile)

      Removes a file from the internal map. This should be done after the file (or rather its corresponding `ISavableResource`) was saved.
      Parameters:
        `pFile` - the file to be removed

    - #### getMemberMap

          public java.util.Map<org.eclipse.core.resources.IFile,ISavableResource> getMemberMap()

      Get the the map of saved members with the corresponding `ISavableResource`
      Returns:
        the map of saved members

Copyright © 2015 Micro Focus GmbH. All rights reserved.